LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTimeBased Interface Reference

`import"XTimeBased.idl";`

Inheritance diagram for XTimeBased:

## Public Member Functions
boolean | switchToNext ([in] boolean wrap)
boolean | setToPointInTime ([in] long point)
| point is the zero based index into the time based array More...
void | setRange ([in] long start, [in] long end)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ setRange()

void setRange | ( | [in] long | start,
|  | [in] long | end
| ) |  |

## ◆ setToPointInTime()

boolean setToPointInTime | ( | [in] long | point | ) |

point is the zero based index into the time based array

Returns
  FALSE if the point is outside of the supported array

## ◆ switchToNext()

boolean switchToNext | ( | [in] boolean | wrap | ) |

Returns
  FALSE if the data wrapped around

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XTimeBased.idl